﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using XDCDynamicTickMarkValues.EnergyModel;

namespace XDCDynamicTickMarkValues
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ColumnSeries columnSeries { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            ViewModel vm = new ViewModel();
            this.DataContext = vm;
        }

        private void columnCb_Checked(object sender, RoutedEventArgs e)
        {
            this.xdc.Series.Add(this.columnSeries);
            Canvas.SetZIndex(this.xdc.Series[1], 1);

        }

        private void columnCb_Unchecked(object sender, RoutedEventArgs e)
        {
            this.xdc.Series.Remove(this.columnSeries);
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Canvas.SetZIndex(this.xdc.Series[0], 2);

            this.columnSeries = new ColumnSeries();
            this.columnSeries.ItemsSource = (this.DataContext as ViewModel).Data;
            this.columnSeries.Title = "Coal";
            this.columnSeries.ValueMemberPath = "Coal";
            this.columnSeries.XAxis = (CategoryAxisBase)this.xdc.Axes["xAxis"];
            this.columnSeries.YAxis = (NumericYAxis)this.xdc.Axes["yAxis"];
        }
    }
}
